Package org.fife.ui.rsyntaxtextarea.folding

## Interface FoldParser

- All Known Implementing Classes:
    `CurlyFoldParser`, `HtmlFoldParser`, `JsonFoldParser`, `LatexFoldParser`, `LispFoldParser`, `NsisFoldParser`, `XmlFoldParser`

      public interface FoldParser

  Locates folds in a document. If you are implementing a language that has sections of source code that can be logically "folded," you can create an instance of this interface that locates those regions and represents them as `Fold`s. `RSyntaxTextArea` knows how to take it from there and implement code folding in the editor.
  See Also:
    `CurlyFoldParser`, `XmlFoldParser`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Fold>` | `getFolds​(RSyntaxTextArea textArea)` | Returns a list of all folds in the text area.

- - ### Method Detail

    - #### getFolds

          List<Fold> getFolds​(RSyntaxTextArea textArea)

      Returns a list of all folds in the text area.
      Parameters:
        `textArea` - The text area whose contents should be analyzed.
      Returns:
        The list of folds. If this method returns `null`, it is treated as if no folds were found.